<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    {% block stylesheets %}
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
              integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
              crossorigin="anonymous">
    {% endblock %}
    {% block my_css %}
    {% endblock %}
</head>
<body>
<div class="container mt-2">
    <div class="row">
        <div class="col-sm-12">
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" href="{{ path('home') }}">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('orders') }}">Orders</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('cart') }}">Cart</a>
                </li>
            </ul>
        </div>
    </div>
    <div class="row mt-2">
        <div class="col-sm-3">
            <ul class="list-group">
                {% for category in shopping_cart_service.getShoppingCartCategories %}
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        <a href="{{ path('category',{'id_category': category.id}) }}">{{ category.name }}</a>
                        <span class="badge badge-primary badge-pill">{{ category.nb_products }}</span>
                    </li>
                {% endfor %}
            </ul>
        </div>
        <div class="col-sm-9 border rounded">
            {% block content %}
                content
            {% endblock %}
        </div>
    </div>
    {% block body %}

    {% endblock %}
</div>
{% block javascripts %}
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
{% endblock %}
</body>
</html>
